import { PopperJS } from '@opentinyvue/utils';
import { ISharedRenderlessFunctionParams } from '../types/shared.type';
export interface IPopperState {
    popperJS: PopperJS | null;
    appended: boolean;
    popperElm: HTMLElement;
    showPopper: boolean;
    referenceElm: HTMLElement;
    currentPlacement: string;
}
type IPopperInputParams = ISharedRenderlessFunctionParams<never> & {
    api: {
        open: Function;
        close: Function;
    };
    state: IPopperState;
    props: any;
};
export declare const userPopper: (options: IPopperInputParams) => any;
export {};
